<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: ignition_source_m Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">ignition_source_m Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a89625f558ed340dff3c78e30f71739f5"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#a89625f558ed340dff3c78e30f71739f5">ignition_source_init</a> (vdf)</td></tr>
<tr class="separator:a89625f558ed340dff3c78e30f71739f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52a88500c484fb5d3f9c3c4f3123d372"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#a52a88500c484fb5d3f9c3c4f3123d372">ignition_source_compute</a> (vdf, CP_)</td></tr>
<tr class="separator:a52a88500c484fb5d3f9c3c4f3123d372"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30344fe37dfd6076ac591fd384255e64"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#a30344fe37dfd6076ac591fd384255e64">calc_transf_factor_conserv</a> (dt_const)</td></tr>
<tr class="separator:a30344fe37dfd6076ac591fd384255e64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc71f377463b5d8a2d3887adfa6b2abb"><td class="memItemLeft" align="right" valign="top">real(wp) function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#afc71f377463b5d8a2d3887adfa6b2abb">src_term_weight_time</a> (tnow, tstart, tend)</td></tr>
<tr class="separator:afc71f377463b5d8a2d3887adfa6b2abb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a75ebb0624eeced2998204e25fec8b03c"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#a75ebb0624eeced2998204e25fec8b03c">use_ign_src</a></td></tr>
<tr class="separator:a75ebb0624eeced2998204e25fec8b03c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a7905bef780c0a685ac6640e760a3b6"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#a0a7905bef780c0a685ac6640e760a3b6">rign</a></td></tr>
<tr class="separator:a0a7905bef780c0a685ac6640e760a3b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1c27a36330cd304dc1f30d4f68494ab"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#ae1c27a36330cd304dc1f30d4f68494ab">qign</a></td></tr>
<tr class="separator:ae1c27a36330cd304dc1f30d4f68494ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1d1c6b3b509dd07aed901576cb47d91"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#ac1d1c6b3b509dd07aed901576cb47d91">tign</a></td></tr>
<tr class="separator:ac1d1c6b3b509dd07aed901576cb47d91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7371aa55f4fe9d542cd636364637a085"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#a7371aa55f4fe9d542cd636364637a085">tstart_ign</a></td></tr>
<tr class="separator:a7371aa55f4fe9d542cd636364637a085"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac60cd3b95bbf65de35d2de6943530927"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#ac60cd3b95bbf65de35d2de6943530927">xcent</a></td></tr>
<tr class="separator:ac60cd3b95bbf65de35d2de6943530927"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a015ce8a4ed4af05217837d418d3580ec"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#a015ce8a4ed4af05217837d418d3580ec">tmonr</a></td></tr>
<tr class="separator:a015ce8a4ed4af05217837d418d3580ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a699b218af4e10504e3a521733f59629c"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#a699b218af4e10504e3a521733f59629c">scaleunity</a> = 1.0_WP</td></tr>
<tr class="separator:a699b218af4e10504e3a521733f59629c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dd07fc61f0fd5c41edf9b1a3cfd55db"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#a7dd07fc61f0fd5c41edf9b1a3cfd55db">type_time_scaling</a></td></tr>
<tr class="separator:a7dd07fc61f0fd5c41edf9b1a3cfd55db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45ed4384d549f256c5d4b549c820b316"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#a45ed4384d549f256c5d4b549c820b316">type_linear_decay</a> = 1</td></tr>
<tr class="separator:a45ed4384d549f256c5d4b549c820b316"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bc106ffb8c7b6acde35eea94a6c0625"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#a7bc106ffb8c7b6acde35eea94a6c0625">type_bell_curve</a> = 2</td></tr>
<tr class="separator:a7bc106ffb8c7b6acde35eea94a6c0625"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acef1517b51ad194ca2e30d1f5314c13e"><td class="memItemLeft" align="right" valign="top">logical, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#acef1517b51ad194ca2e30d1f5314c13e">ign_update_cp</a> = .FALSE.</td></tr>
<tr class="separator:acef1517b51ad194ca2e30d1f5314c13e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf36bde88bcd2b1d7fb95c6b4e87403a"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#aaf36bde88bcd2b1d7fb95c6b4e87403a">is_planar_x</a></td></tr>
<tr class="separator:aaf36bde88bcd2b1d7fb95c6b4e87403a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02620db4653d65532a5b05874dbdec25"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#a02620db4653d65532a5b05874dbdec25">rign_offs</a></td></tr>
<tr class="separator:a02620db4653d65532a5b05874dbdec25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6f238f8367b25965b137f1163c1faee"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#ae6f238f8367b25965b137f1163c1faee">tclip</a></td></tr>
<tr class="separator:ae6f238f8367b25965b137f1163c1faee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc9e0adb33eb2e931f0ba7c5d0c9abc8"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#afc9e0adb33eb2e931f0ba7c5d0c9abc8">max_int_time</a></td></tr>
<tr class="separator:afc9e0adb33eb2e931f0ba7c5d0c9abc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1c8bb26aafcc86d86c80084eec90bf8"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#ae1c8bb26aafcc86d86c80084eec90bf8">tmax_stop</a></td></tr>
<tr class="separator:ae1c8bb26aafcc86d86c80084eec90bf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b8af2b33d8c4a39fe066f04ec1ae793"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#a6b8af2b33d8c4a39fe066f04ec1ae793">wign_lin</a></td></tr>
<tr class="separator:a6b8af2b33d8c4a39fe066f04ec1ae793"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd4c07fdfadc0da6c60b162bc1c5672e"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceignition__source__m.html#acd4c07fdfadc0da6c60b162bc1c5672e">rign_lin</a></td></tr>
<tr class="separator:acd4c07fdfadc0da6c60b162bc1c5672e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a30344fe37dfd6076ac591fd384255e64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30344fe37dfd6076ac591fd384255e64">&#9670;&nbsp;</a></span>calc_transf_factor_conserv()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine ignition_source_m::calc_transf_factor_conserv </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>dt_const</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceignition__source__m.html#a699b218af4e10504e3a521733f59629c">scaleunity</a>, <a class="el" href="namespaceignition__source__m.html#afc71f377463b5d8a2d3887adfa6b2abb">src_term_weight_time()</a>, <a class="el" href="namespaceignition__source__m.html#ac1d1c6b3b509dd07aed901576cb47d91">tign</a>, and <a class="el" href="namespaceignition__source__m.html#a7371aa55f4fe9d542cd636364637a085">tstart_ign</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceignition__source__m_a30344fe37dfd6076ac591fd384255e64_cgraph.png" border="0" usemap="#namespaceignition__source__m_a30344fe37dfd6076ac591fd384255e64_cgraph" alt=""/></div>
<map name="namespaceignition__source__m_a30344fe37dfd6076ac591fd384255e64_cgraph" id="namespaceignition__source__m_a30344fe37dfd6076ac591fd384255e64_cgraph">
<area shape="rect" id="node2" href="namespaceignition__source__m.html#afc71f377463b5d8a2d3887adfa6b2abb" title="ignition_source_m::\lsrc_term_weight_time" alt="" coords="232,5,383,47"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceignition__source__m_a30344fe37dfd6076ac591fd384255e64_icgraph.png" border="0" usemap="#namespaceignition__source__m_a30344fe37dfd6076ac591fd384255e64_icgraph" alt=""/></div>
<map name="namespaceignition__source__m_a30344fe37dfd6076ac591fd384255e64_icgraph" id="namespaceignition__source__m_a30344fe37dfd6076ac591fd384255e64_icgraph">
<area shape="rect" id="node2" href="namespaceignition__source__m.html#a89625f558ed340dff3c78e30f71739f5" title="ignition_source_m::\lignition_source_init" alt="" coords="232,185,367,226"/>
<area shape="rect" id="node3" href="namespacecombust__func.html#a42de4794c786852e0239ae2a79bd2dd4" title="generic initialization of combustion module (all solvers) ! &#160;cf thermofluid_init_lowMach/cf for speci..." alt="" coords="415,155,577,197"/>
<area shape="rect" id="node23" href="combustion_8f90.html#a4d09639b1292ef4cc0c83a3d4bdea76c" title="combustion_init" alt="" coords="439,221,553,248"/>
<area shape="rect" id="node4" href="namespacethf__arts.html#ad83aa8f674cbd91f1d9156c78c4745d0" title="initialize thermofluid module (lowMach solver) ! " alt="" coords="625,64,768,91"/>
<area shape="rect" id="node12" href="namespacethf__arts__cf.html#ad02588308144b96824c7ebda3a8c5440" title="initialize thermofluid module (compressible) ! " alt="" coords="629,155,765,197"/>
<area shape="rect" id="node5" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="816,5,977,32"/>
<area shape="rect" id="node8" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="831,57,962,98"/>
<area shape="rect" id="node6" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1025,5,1189,32"/>
<area shape="rect" id="node7" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1292,5,1336,32"/>
<area shape="rect" id="node9" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="1037,57,1177,98"/>
<area shape="rect" id="node10" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1247,57,1381,98"/>
<area shape="rect" id="node11" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1447,64,1517,91"/>
<area shape="rect" id="node13" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="835,155,959,197"/>
<area shape="rect" id="node19" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="822,221,971,262"/>
<area shape="rect" id="node14" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="1041,155,1174,197"/>
<area shape="rect" id="node15" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1250,122,1378,163"/>
<area shape="rect" id="node17" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1247,187,1381,229"/>
<area shape="rect" id="node16" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1451,129,1513,156"/>
<area shape="rect" id="node18" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1448,195,1516,221"/>
<area shape="rect" id="node20" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="1028,221,1187,262"/>
<area shape="rect" id="node21" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="1237,253,1391,294"/>
<area shape="rect" id="node22" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1439,260,1525,287"/>
<area shape="rect" id="node24" href="combustion_8f90.html#a2f0eeadb9092a477faaa2cb7bca4b1b1" title="cf_combustion_init" alt="" coords="631,221,762,248"/>
</map>
</div>

</div>
</div>
<a id="a52a88500c484fb5d3f9c3c4f3123d372"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52a88500c484fb5d3f9c3c4f3123d372">&#9670;&nbsp;</a></span>ignition_source_compute()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine public ignition_source_m::ignition_source_compute </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(vdf%sd%imino_:,vdf%sd%jmino_:,vdf%sd%kmino_:)&#160;</td>
          <td class="paramname"><em>CP_</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceignition__source__m.html#ae1c27a36330cd304dc1f30d4f68494ab">qign</a>, <a class="el" href="namespaceignition__source__m.html#a0a7905bef780c0a685ac6640e760a3b6">rign</a>, <a class="el" href="namespaceignition__source__m.html#afc71f377463b5d8a2d3887adfa6b2abb">src_term_weight_time()</a>, <a class="el" href="namespaceignition__source__m.html#ac1d1c6b3b509dd07aed901576cb47d91">tign</a>, <a class="el" href="namespaceignition__source__m.html#a015ce8a4ed4af05217837d418d3580ec">tmonr</a>, <a class="el" href="namespaceignition__source__m.html#a7371aa55f4fe9d542cd636364637a085">tstart_ign</a>, <a class="el" href="namespaceignition__source__m.html#a7bc106ffb8c7b6acde35eea94a6c0625">type_bell_curve</a>, <a class="el" href="namespaceignition__source__m.html#a45ed4384d549f256c5d4b549c820b316">type_linear_decay</a>, <a class="el" href="namespaceignition__source__m.html#a7dd07fc61f0fd5c41edf9b1a3cfd55db">type_time_scaling</a>, <a class="el" href="namespaceignition__source__m.html#a75ebb0624eeced2998204e25fec8b03c">use_ign_src</a>, and <a class="el" href="namespaceignition__source__m.html#ac60cd3b95bbf65de35d2de6943530927">xcent</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceignition__source__m_a52a88500c484fb5d3f9c3c4f3123d372_cgraph.png" border="0" usemap="#namespaceignition__source__m_a52a88500c484fb5d3f9c3c4f3123d372_cgraph" alt=""/></div>
<map name="namespaceignition__source__m_a52a88500c484fb5d3f9c3c4f3123d372_cgraph" id="namespaceignition__source__m_a52a88500c484fb5d3f9c3c4f3123d372_cgraph">
<area shape="rect" id="node2" href="namespaceignition__source__m.html#afc71f377463b5d8a2d3887adfa6b2abb" title="ignition_source_m::\lsrc_term_weight_time" alt="" coords="220,5,371,47"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceignition__source__m_a52a88500c484fb5d3f9c3c4f3123d372_icgraph.png" border="0" usemap="#namespaceignition__source__m_a52a88500c484fb5d3f9c3c4f3123d372_icgraph" alt=""/></div>
<map name="namespaceignition__source__m_a52a88500c484fb5d3f9c3c4f3123d372_icgraph" id="namespaceignition__source__m_a52a88500c484fb5d3f9c3c4f3123d372_icgraph">
<area shape="rect" id="node2" href="namespacecombust__func.html#a561d2d20ec9d7091802a2e19fcff695d" title="generic prestep2 for combustion module (all solvers) ! &#160;cf thermofluid_prestep2_lowMach/cf for specif..." alt="" coords="220,462,383,503"/>
<area shape="rect" id="node22" href="combustion_8f90.html#a5310e7f8587294399cd2cf84a9000874" title="combustion_prestep2" alt="" coords="228,528,375,555"/>
<area shape="rect" id="node3" href="namespacethf__arts.html#a9917fb4f81314fb89d563ffbc8639fbb" title="thf_arts::thf_arts\l_prestep2" alt="" coords="439,429,558,470"/>
<area shape="rect" id="node19" href="namespacethf__arts__cf.html#a7d3e3d14ff764b7e47bcb931cb6f27a7" title="procedures once before each time step (compressible) ! " alt="" coords="431,494,567,535"/>
<area shape="rect" id="node4" href="namespacearts__simulation.html#a80dda89ed8abf4b853ea8926e1a5c18d" title="arts_simulation::arts\l_prestep2" alt="" coords="615,429,755,470"/>
<area shape="rect" id="node5" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="817,284,923,311"/>
<area shape="rect" id="node17" href="namespacearts__md__simulation.html#a1d63e088dd86b79505c90b8897b44cbe" title="arts_md_simulation\l::arts_md_prestep2" alt="" coords="803,433,937,474"/>
<area shape="rect" id="node6" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1017,5,1061,32"/>
<area shape="rect" id="node7" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1007,56,1070,83"/>
<area shape="rect" id="node8" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="995,107,1082,133"/>
<area shape="rect" id="node9" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1004,157,1073,184"/>
<area shape="rect" id="node10" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1005,208,1073,235"/>
<area shape="rect" id="node11" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="991,259,1087,285"/>
<area shape="rect" id="node12" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="993,309,1085,336"/>
<area shape="rect" id="node13" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1010,360,1067,387"/>
<area shape="rect" id="node14" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1001,411,1076,437"/>
<area shape="rect" id="node15" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="989,461,1088,488"/>
<area shape="rect" id="node16" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1010,512,1067,539"/>
<area shape="rect" id="node18" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="985,563,1092,589"/>
<area shape="rect" id="node20" href="namespacearts__cf__simulation.html#a4d813a565cb81c0cba28e71029dbdc40" title="Pre&#45;step 2 &#45; prepare for the subiterations. " alt="" coords="621,494,749,535"/>
<area shape="rect" id="node21" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="817,501,923,528"/>
</map>
</div>

</div>
</div>
<a id="a89625f558ed340dff3c78e30f71739f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89625f558ed340dff3c78e30f71739f5">&#9670;&nbsp;</a></span>ignition_source_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine public ignition_source_m::ignition_source_init </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacemonitor__func.html#a5f58590d24bbef2f58d303d2df4400db">monitor_func::aget_monitor()</a>, <a class="el" href="namespaceignition__source__m.html#a30344fe37dfd6076ac591fd384255e64">calc_transf_factor_conserv()</a>, <a class="el" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee">parser::get_param()</a>, <a class="el" href="namespaceignition__source__m.html#ae1c27a36330cd304dc1f30d4f68494ab">qign</a>, <a class="el" href="namespaceignition__source__m.html#a0a7905bef780c0a685ac6640e760a3b6">rign</a>, <a class="el" href="namespaceignition__source__m.html#ac1d1c6b3b509dd07aed901576cb47d91">tign</a>, <a class="el" href="namespaceignition__source__m.html#a015ce8a4ed4af05217837d418d3580ec">tmonr</a>, <a class="el" href="namespaceignition__source__m.html#a7371aa55f4fe9d542cd636364637a085">tstart_ign</a>, <a class="el" href="namespaceignition__source__m.html#a7bc106ffb8c7b6acde35eea94a6c0625">type_bell_curve</a>, <a class="el" href="namespaceignition__source__m.html#a45ed4384d549f256c5d4b549c820b316">type_linear_decay</a>, <a class="el" href="namespaceignition__source__m.html#a7dd07fc61f0fd5c41edf9b1a3cfd55db">type_time_scaling</a>, <a class="el" href="namespaceignition__source__m.html#a75ebb0624eeced2998204e25fec8b03c">use_ign_src</a>, and <a class="el" href="namespaceignition__source__m.html#ac60cd3b95bbf65de35d2de6943530927">xcent</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceignition__source__m_a89625f558ed340dff3c78e30f71739f5_cgraph.png" border="0" usemap="#namespaceignition__source__m_a89625f558ed340dff3c78e30f71739f5_cgraph" alt=""/></div>
<map name="namespaceignition__source__m_a89625f558ed340dff3c78e30f71739f5_cgraph" id="namespaceignition__source__m_a89625f558ed340dff3c78e30f71739f5_cgraph">
<area shape="rect" id="node2" href="namespacemonitor__func.html#a5f58590d24bbef2f58d303d2df4400db" title="monitor_func::aget\l_monitor" alt="" coords="212,5,343,47"/>
<area shape="rect" id="node6" href="namespaceignition__source__m.html#a30344fe37dfd6076ac591fd384255e64" title="ignition_source_m::\lcalc_transf_factor_conserv" alt="" coords="188,71,367,112"/>
<area shape="rect" id="node8" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="214,246,341,273"/>
<area shape="rect" id="node3" href="namespacemonitor__func.html#a2a57028b985bb8ae85834c842506acfa" title="monitor_func::allocate\l_monitor" alt="" coords="434,5,585,47"/>
<area shape="rect" id="node4" href="namespacemonitor__func.html#ad9375226969a462ac0bec33b5d43dc90" title="monitor_func::cleanup\l_monitor" alt="" coords="652,5,803,47"/>
<area shape="rect" id="node5" href="namespacemonitor__func.html#a9e3d214c845e1d3feafab9d36830bb84" title="monitor_func::destroy\l_mon_var_ptr" alt="" coords="851,5,999,47"/>
<area shape="rect" id="node7" href="namespaceignition__source__m.html#afc71f377463b5d8a2d3887adfa6b2abb" title="ignition_source_m::\lsrc_term_weight_time" alt="" coords="434,71,585,112"/>
<area shape="rect" id="node9" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="437,137,581,163"/>
<area shape="rect" id="node10" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="432,187,587,214"/>
<area shape="rect" id="node11" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="439,239,580,280"/>
<area shape="rect" id="node12" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="427,304,592,345"/>
<area shape="rect" id="node13" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="415,370,604,397"/>
<area shape="rect" id="node14" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="427,421,591,447"/>
</map>
</div>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceignition__source__m_a89625f558ed340dff3c78e30f71739f5_icgraph.png" border="0" usemap="#namespaceignition__source__m_a89625f558ed340dff3c78e30f71739f5_icgraph" alt=""/></div>
<map name="namespaceignition__source__m_a89625f558ed340dff3c78e30f71739f5_icgraph" id="namespaceignition__source__m_a89625f558ed340dff3c78e30f71739f5_icgraph">
<area shape="rect" id="node2" href="namespacecombust__func.html#a42de4794c786852e0239ae2a79bd2dd4" title="generic initialization of combustion module (all solvers) ! &#160;cf thermofluid_init_lowMach/cf for speci..." alt="" coords="188,155,351,197"/>
<area shape="rect" id="node22" href="combustion_8f90.html#a4d09639b1292ef4cc0c83a3d4bdea76c" title="combustion_init" alt="" coords="213,221,326,248"/>
<area shape="rect" id="node3" href="namespacethf__arts.html#ad83aa8f674cbd91f1d9156c78c4745d0" title="initialize thermofluid module (lowMach solver) ! " alt="" coords="399,64,541,91"/>
<area shape="rect" id="node11" href="namespacethf__arts__cf.html#ad02588308144b96824c7ebda3a8c5440" title="initialize thermofluid module (compressible) ! " alt="" coords="402,155,538,197"/>
<area shape="rect" id="node4" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="589,5,751,32"/>
<area shape="rect" id="node7" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="605,57,735,98"/>
<area shape="rect" id="node5" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="799,5,963,32"/>
<area shape="rect" id="node6" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1065,5,1109,32"/>
<area shape="rect" id="node8" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="811,57,951,98"/>
<area shape="rect" id="node9" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1020,57,1155,98"/>
<area shape="rect" id="node10" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1221,64,1290,91"/>
<area shape="rect" id="node12" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="608,155,732,197"/>
<area shape="rect" id="node18" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="595,221,745,262"/>
<area shape="rect" id="node13" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="814,155,947,197"/>
<area shape="rect" id="node14" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1023,122,1151,163"/>
<area shape="rect" id="node16" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1020,187,1155,229"/>
<area shape="rect" id="node15" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1224,129,1287,156"/>
<area shape="rect" id="node17" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1221,195,1289,221"/>
<area shape="rect" id="node19" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="801,221,960,262"/>
<area shape="rect" id="node20" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="1011,253,1164,294"/>
<area shape="rect" id="node21" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1212,260,1299,287"/>
<area shape="rect" id="node23" href="combustion_8f90.html#a2f0eeadb9092a477faaa2cb7bca4b1b1" title="cf_combustion_init" alt="" coords="405,221,535,248"/>
</map>
</div>

</div>
</div>
<a id="afc71f377463b5d8a2d3887adfa6b2abb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc71f377463b5d8a2d3887adfa6b2abb">&#9670;&nbsp;</a></span>src_term_weight_time()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) function ignition_source_m::src_term_weight_time </td>
          <td>(</td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>tnow</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>tstart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>tend</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceignition__source__m.html#a699b218af4e10504e3a521733f59629c">scaleunity</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceignition__source__m_afc71f377463b5d8a2d3887adfa6b2abb_icgraph.png" border="0" usemap="#namespaceignition__source__m_afc71f377463b5d8a2d3887adfa6b2abb_icgraph" alt=""/></div>
<map name="namespaceignition__source__m_afc71f377463b5d8a2d3887adfa6b2abb_icgraph" id="namespaceignition__source__m_afc71f377463b5d8a2d3887adfa6b2abb_icgraph">
<area shape="rect" id="node2" href="namespaceignition__source__m.html#a52a88500c484fb5d3f9c3c4f3123d372" title="ignition_source_m::\lignition_source_compute" alt="" coords="613,119,780,161"/>
<area shape="rect" id="node24" href="namespaceignition__source__m.html#a30344fe37dfd6076ac591fd384255e64" title="ignition_source_m::\lcalc_transf_factor_conserv" alt="" coords="204,191,383,233"/>
<area shape="rect" id="node3" href="namespacecombust__func.html#a561d2d20ec9d7091802a2e19fcff695d" title="generic prestep2 for combustion module (all solvers) ! &#160;cf thermofluid_prestep2_lowMach/cf for specif..." alt="" coords="828,61,991,102"/>
<area shape="rect" id="node23" href="combustion_8f90.html#a5310e7f8587294399cd2cf84a9000874" title="combustion_prestep2" alt="" coords="836,127,983,153"/>
<area shape="rect" id="node4" href="namespacethf__arts.html#a9917fb4f81314fb89d563ffbc8639fbb" title="thf_arts::thf_arts\l_prestep2" alt="" coords="1060,50,1179,91"/>
<area shape="rect" id="node20" href="namespacethf__arts__cf.html#a7d3e3d14ff764b7e47bcb931cb6f27a7" title="procedures once before each time step (compressible) ! " alt="" coords="1051,395,1187,437"/>
<area shape="rect" id="node5" href="namespacearts__simulation.html#a80dda89ed8abf4b853ea8926e1a5c18d" title="arts_simulation::arts\l_prestep2" alt="" coords="1257,269,1397,310"/>
<area shape="rect" id="node6" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="1483,259,1590,285"/>
<area shape="rect" id="node18" href="namespacearts__md__simulation.html#a1d63e088dd86b79505c90b8897b44cbe" title="arts_md_simulation\l::arts_md_prestep2" alt="" coords="1469,441,1604,482"/>
<area shape="rect" id="node7" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1698,5,1742,32"/>
<area shape="rect" id="node8" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1689,107,1751,133"/>
<area shape="rect" id="node9" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1677,512,1763,539"/>
<area shape="rect" id="node10" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1685,56,1755,83"/>
<area shape="rect" id="node11" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1686,461,1754,488"/>
<area shape="rect" id="node12" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1672,157,1768,184"/>
<area shape="rect" id="node13" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1674,208,1766,235"/>
<area shape="rect" id="node14" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1691,259,1749,285"/>
<area shape="rect" id="node15" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1683,309,1757,336"/>
<area shape="rect" id="node16" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1671,360,1769,387"/>
<area shape="rect" id="node17" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1691,411,1749,437"/>
<area shape="rect" id="node19" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="1667,563,1773,589"/>
<area shape="rect" id="node21" href="namespacearts__cf__simulation.html#a4d813a565cb81c0cba28e71029dbdc40" title="Pre&#45;step 2 &#45; prepare for the subiterations. " alt="" coords="1263,454,1391,495"/>
<area shape="rect" id="node22" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="1483,507,1590,533"/>
<area shape="rect" id="node25" href="namespaceignition__source__m.html#a89625f558ed340dff3c78e30f71739f5" title="ignition_source_m::\lignition_source_init" alt="" coords="431,218,565,259"/>
<area shape="rect" id="node26" href="namespacecombust__func.html#a42de4794c786852e0239ae2a79bd2dd4" title="generic initialization of combustion module (all solvers) ! &#160;cf thermofluid_init_lowMach/cf for speci..." alt="" coords="615,218,778,259"/>
<area shape="rect" id="node41" href="combustion_8f90.html#a4d09639b1292ef4cc0c83a3d4bdea76c" title="combustion_init" alt="" coords="640,284,753,311"/>
<area shape="rect" id="node27" href="namespacethf__arts.html#ad83aa8f674cbd91f1d9156c78c4745d0" title="initialize thermofluid module (lowMach solver) ! " alt="" coords="838,177,981,204"/>
<area shape="rect" id="node33" href="namespacethf__arts__cf.html#ad02588308144b96824c7ebda3a8c5440" title="initialize thermofluid module (compressible) ! " alt="" coords="841,231,977,273"/>
<area shape="rect" id="node28" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="1039,116,1200,143"/>
<area shape="rect" id="node30" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="1054,167,1185,209"/>
<area shape="rect" id="node29" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1455,15,1619,41"/>
<area shape="rect" id="node31" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="1257,125,1397,166"/>
<area shape="rect" id="node32" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1469,75,1604,117"/>
<area shape="rect" id="node34" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="1057,233,1181,274"/>
<area shape="rect" id="node38" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="1045,330,1194,371"/>
<area shape="rect" id="node35" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="1261,203,1394,245"/>
<area shape="rect" id="node36" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1473,158,1601,199"/>
<area shape="rect" id="node37" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1469,310,1604,351"/>
<area shape="rect" id="node39" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="1248,359,1407,401"/>
<area shape="rect" id="node40" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="1460,375,1613,417"/>
<area shape="rect" id="node42" href="combustion_8f90.html#a2f0eeadb9092a477faaa2cb7bca4b1b1" title="cf_combustion_init" alt="" coords="844,297,975,324"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="acef1517b51ad194ca2e30d1f5314c13e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acef1517b51ad194ca2e30d1f5314c13e">&#9670;&nbsp;</a></span>ign_update_cp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical, public ignition_source_m::ign_update_cp = .FALSE.</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaf36bde88bcd2b1d7fb95c6b4e87403a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf36bde88bcd2b1d7fb95c6b4e87403a">&#9670;&nbsp;</a></span>is_planar_x</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical ignition_source_m::is_planar_x</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afc9e0adb33eb2e931f0ba7c5d0c9abc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc9e0adb33eb2e931f0ba7c5d0c9abc8">&#9670;&nbsp;</a></span>max_int_time</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ignition_source_m::max_int_time</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae1c27a36330cd304dc1f30d4f68494ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1c27a36330cd304dc1f30d4f68494ab">&#9670;&nbsp;</a></span>qign</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ignition_source_m::qign</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a7905bef780c0a685ac6640e760a3b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a7905bef780c0a685ac6640e760a3b6">&#9670;&nbsp;</a></span>rign</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ignition_source_m::rign</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acd4c07fdfadc0da6c60b162bc1c5672e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd4c07fdfadc0da6c60b162bc1c5672e">&#9670;&nbsp;</a></span>rign_lin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ignition_source_m::rign_lin</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a02620db4653d65532a5b05874dbdec25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02620db4653d65532a5b05874dbdec25">&#9670;&nbsp;</a></span>rign_offs</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ignition_source_m::rign_offs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a699b218af4e10504e3a521733f59629c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a699b218af4e10504e3a521733f59629c">&#9670;&nbsp;</a></span>scaleunity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ignition_source_m::scaleunity = 1.0_WP</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae6f238f8367b25965b137f1163c1faee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6f238f8367b25965b137f1163c1faee">&#9670;&nbsp;</a></span>tclip</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ignition_source_m::tclip</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac1d1c6b3b509dd07aed901576cb47d91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1d1c6b3b509dd07aed901576cb47d91">&#9670;&nbsp;</a></span>tign</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ignition_source_m::tign</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae1c8bb26aafcc86d86c80084eec90bf8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1c8bb26aafcc86d86c80084eec90bf8">&#9670;&nbsp;</a></span>tmax_stop</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ignition_source_m::tmax_stop</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a015ce8a4ed4af05217837d418d3580ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a015ce8a4ed4af05217837d418d3580ec">&#9670;&nbsp;</a></span>tmonr</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ignition_source_m::tmonr</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7371aa55f4fe9d542cd636364637a085"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7371aa55f4fe9d542cd636364637a085">&#9670;&nbsp;</a></span>tstart_ign</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ignition_source_m::tstart_ign</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7bc106ffb8c7b6acde35eea94a6c0625"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bc106ffb8c7b6acde35eea94a6c0625">&#9670;&nbsp;</a></span>type_bell_curve</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer parameter ignition_source_m::type_bell_curve = 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a45ed4384d549f256c5d4b549c820b316"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45ed4384d549f256c5d4b549c820b316">&#9670;&nbsp;</a></span>type_linear_decay</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer parameter ignition_source_m::type_linear_decay = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7dd07fc61f0fd5c41edf9b1a3cfd55db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7dd07fc61f0fd5c41edf9b1a3cfd55db">&#9670;&nbsp;</a></span>type_time_scaling</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">integer ignition_source_m::type_time_scaling</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a75ebb0624eeced2998204e25fec8b03c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75ebb0624eeced2998204e25fec8b03c">&#9670;&nbsp;</a></span>use_ign_src</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical public ignition_source_m::use_ign_src</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6b8af2b33d8c4a39fe066f04ec1ae793"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b8af2b33d8c4a39fe066f04ec1ae793">&#9670;&nbsp;</a></span>wign_lin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) ignition_source_m::wign_lin</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac60cd3b95bbf65de35d2de6943530927"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac60cd3b95bbf65de35d2de6943530927">&#9670;&nbsp;</a></span>xcent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(3) ignition_source_m::xcent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
